<div id="check-order" style="min-height: 815px">
  <div class="mx-3 mx-sm-auto track-container" style="max-width: 800px">
    <p class="title">Track My order</p>
    <div
      v-if="isError"
      class="notification pa-6"
      :class="notification == true ? 'd-block' : 'd-none'"
    >
      <div class="d-flex align-center justify-space-between">
        <h4>Order {{orderCode}} not found</h4>
        <button class="close-btn" @click="closeNotification">X</button>
      </div>
      <p>We generally respond within 24-48 hours of your inquiry.</p>
    </div>
    <div class="mt-3 pa-4 rounded-lg">
      <div id="hideBottomInput">
        <div class="mb-3">
          <h4 class="mb-2">Email</h4>
          <v-text-field
            dense
            outlined
            placeholder="Enter your email"
            v-model="email"
          >
          </v-text-field>
        </div>
        <!-- :close-on-content-click="false" -->
        <h4 class="mb-2">Order Number #</h4>
        <div v-if="!listOrderTracking.length">
          <v-text-field
            dense
            outlined
            placeholder="Enter your order number, ex: #23412"
            v-model="orderCode"
          >
          </v-text-field>
        </div>
        <v-menu offset-y v-else>
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              dense
              outlined
              placeholder="Enter your order number, ex: #23412"
              v-model="orderCode"
              v-bind="attrs"
              v-on="on"
            >
            </v-text-field>
          </template>
          <div class="white pa-2">
            <div
              class="pa-2 c-pointer order-tracking rounded"
              v-for="(orderCode, i) in listOrderTracking"
              :key="i"
            >
              <!-- @click="onHandleSearch(orderCode)" -->
              <p class="mb-0">{{orderCode}}</p>
            </div>
          </div>
        </v-menu>
      </div>
      <v-btn
        color="#1b1b1b"
        class="elevation-0 mt-3 rounded-md"
        :disabled="loading || loadingCancel"
        @click="onCheck()"
        height="55"
        :block="$vuetify.breakpoint.name !== 'lg' && $vuetify.breakpoint.name !== 'xl'"
      >
        <v-progress-circular
          v-if="loading"
          size="18"
          indeterminate
          color="#076CE3"
        >
        </v-progress-circular>
        <span class="white--text" v-else> Track Now </span>
      </v-btn>
    </div>
  </div>
</div>
